Subject: Re: [PATCH v2 8/8] Document future removal of sysctl_tcp_* options

From: Gilad Ben-Yossef <[email-masked]>
Date: Sun, 25 Oct 2009 10:45:59 +0200

William Allen Simpson wrote:

> Gilad Ben-Yossef wrote:
>> I have no issue with leaving those, if everyone thinks we're better off.
>>
>> BTW, while we're talking about OS envy, I do believe that Windows do let
>> you specify on a per route basis. Not that this is really a good 
>> ground for
>> technical decision, but still... :-)
>>
> I'm not concerned with "envy", I'm concerned with training operators, and
> consistency across platforms.
>
> I'm in favor of per route configuration, it seems reasonably clean, as
> long as it's done consistently with other systems.  I don't permit 
> Windows
> systems to be used here (except under controlled security 
> circumstances), so
> I'm not familiar with their configuration.  However, doing things 
> similarly
> across platforms will ease documentation and training.
>
I have no objection leaving the current sysctl as is. Personally, I 
think it's useless when you have route level options but I don't care 
all that much.

The powers that be are more then welcome to ACK the first 7 patches and 
NACK the documentation of the sysctl as deprecated. :-)

Gilad

-- 
Gilad Ben-Yossef
Chief Coffee Drinker & CTO
Codefidence Ltd.

Web:   http://codefidence.com
Cell:  +972-52-8260388
Skype: gilad_codefidence
Tel:   +972-8-9316883 ext. 201
Fax:   +972-8-9316884
Email: [email-masked]

Check out our Open Source technology and training blog - http://tuxology.net

	"Sorry cannot parse this, its too long to be true  :)"
	  -- Eric Dumazet on netdev mailing list